
#*********************************************************************
#Add & Remove default documents according to the config
#*********************************************************************
#Get the path that this script is running in
$scriptRoot = Split-Path (Resolve-Path $myInvocation.MyCommand.Path)

#load the xml file
[xml]$DDList = get-content ($scriptRoot + "\Default_Files_Config.xml")

#Get the Folders
$MyDefaultFiles = $DDList.DefaultFiles

#Start Process
Write-Host "Beginning Default Docs Configuration" -foregroundColor DarkGreen

$Plus = "/+"
$Minus = "/-"

#Loop through the Folders and display the folder and its permissions
foreach ($File in $MyDefaultFiles.File)
{
    	switch ($file.Activity) 
	{ 
    		"ADD" 
		{
      			$AddRemove = $Plus
    		}
    		"REMOVE" 
		{
			$AddRemove = $Minus
    		}  
    	}

	& "$env:windir\system32\inetsrv\appcmd" "set" "config" "/section:defaultDocument" ($AddRemove + "files.[value='" + $File.name + "']")

}

Write-Host "Completed Default Docs Configuration" -foregroundColor DarkGreen
Write-Host "" -foregroundColor DarkGreen