#Get the path that this script is running in
$scriptRoot = Split-Path (Resolve-Path $myInvocation.MyCommand.Path)
 
#Get the Settings file
[xml]$Settings = get-content ($scriptRoot + "\IISSettings.xml")
$MySettings = $Settings.IISSettings

Write-Host "Beginning Dynamic Compression Configuration" -foreground DarkGreen

foreach ($Setting in $MySettings.Setting)
{
	if ($Setting.name -eq "DynamicCompressionsEnableCPU")
	{
		$DCEnableCPU = $Setting.value
	}

	if ($Setting.name -eq "DynamicCompressionsDisableCPU")
	{
		$DCDisableCPU = $Setting.value
	}
}

#Dynamic Compression
& $env:windir\system32\inetsrv\appcmd set config -section:urlCompression /doDynamicCompression:true

if ($DCDisableCPU) { 
    $Command = "$env:windir\system32\inetsrv\appcmd set config -section:httpCompression /dynamicCompressionDisableCpuUsage:" + $DCDisableCPU
    & $executionContext.InvokeCommand.NewScriptBlock($Command)    
}

if ($DCEnableCPU) { 
    $Command = "$env:windir\system32\inetsrv\appcmd set config -section:httpCompression /dynamicCompressionEnableCpuUsage:" + $DCEnableCPU
    & $executionContext.InvokeCommand.NewScriptBlock($Command)
}


Write-Host "Completed Dynamic Compression Configuration" -foreground DarkGreen
Write-Host "" -foregroundColor DarkGreen
