#Get the path that this script is running in
$scriptRoot = Split-Path (Resolve-Path $myInvocation.MyCommand.Path)

#Get the Settings file
[xml]$Settings = get-content ($scriptRoot + "\IISSettings.xml")
$MySettings = $Settings.IISSettings

foreach ($Setting in $MySettings.Setting)
{
	if ($Setting.name -eq "DynamicIdleThreshold")
	{
		$DIThreshold = $Setting.value
	}
}

Write-Host "Beginning Dynamic Idle Threshold Configuration" -foreground DarkGreen


#Configure Dynamic Idle Threshold to 90%

if ($DIThreshold)
{
	$Command = "$env:windir\system32\inetsrv\appcmd set config -section:system.applicationHost/webLimits -dynamicIdleThreshold:" + $DIThreshold
	& $executionContext.InvokeCommand.NewScriptBlock($Command)
}

Write-Host "Completed Dynamic Idle Threshold Configuration" -foreground DarkGreen
Write-Host "" -foregroundColor DarkGreen

