param([int]$interval = 300)



#Get the path that this script is running in
$scriptRoot = Split-Path (Resolve-Path $myInvocation.MyCommand.Path)

#Call PKGMGR
& $env:windir\system32\pkgmgr.exe ("/n:" + $scriptRoot + "\unattend.xml")


#Set up the loop to wait for the processes to start
$counter = 0
while($true)
{
	#Loop Delay
	Start-Sleep m $interval

	#Get the current Processes
	$PKGMGR_Status = Get-Process PKGMGR -ea SilentlyContinue
	$TrustedInstaller_Status = Get-Process TrustedInstaller -ea SilentlyContinue
	
	#If both processes are started exit
	IF ($PKGMGR_Status -and $TrustedInstaller_Status)
	{
	    Write-Host "Beginning IIS Package Installation" -foregroundColor DarkGreen
            break
	}

	$counter+=4

	#Reset Counter if Done	
	if ($counter -ge 100)
	{
		$counter = 0;
	}

	#Output Status
	write-progress "Installing IIS" "Waiting for TrustedInstaller to Start" -percentComplete $counter 
}


#Start the loop that tracks installer Progress
$counter = 0
while($true)
{
	#Loop Delay
	Start-Sleep m $interval

	#Get the current Processes
	$PKGMGR_Status = Get-Process PKGMGR -ea SilentlyContinue
	$TrustedInstaller_Status = Get-Process TrustedInstaller -ea SilentlyContinue
	
	#If either process is finished exit
	IF ((! $PKGMGR_Status) -or (! $TrustedInstaller_Status))
	{
	    Write-Host "Completed IIS Package Installation" -foregroundColor DarkGreen
	    Write-Host "" -foregroundColor DarkGreen
            break
	}

	$counter+=4

	#Reseet Counter if Done	
	if ($counter -ge 100)
	{
		$counter = 0;
	}

	#Output Status
	write-progress "Updating Activity" "Waiting for TrustedInstaller" -percentComplete $counter 
}


